API reference
Standalone workforce admission
5 management API operations for standalone workforce admission.
/v1/institutions/{institution_id}/auth-engine-enrollmentsInventory
POST/v1/institutions/{institution_id}/auth-engine-enrollmentsPropose
GET/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/reviewReview Details
POST/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/approveApprove
POST/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/cancelCancel
GET/v1/institutions/{institution_id}/auth-engine-enrollments
Inventory
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/auth-engine-enrollments
Propose
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredFreshEnrollmentCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
recipient | string | Yes | Validation: min length 3; max length 254 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/review
Review Details
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
identifier | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/approve
Approve
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
identifier | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__auth_engine_enrollment_router__Reason
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/auth-engine-enrollments/{identifier}/cancel
Cancel
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
identifier | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__auth_engine_enrollment_router__Reason
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |